Description: AMC currently has darkness threshold and density (DPI) as optional parameters for data capture quality. In

addition to them, | want some other parameters to be options.

* Gamma value (for -gamma option to convert command).
* Threshold value used for binarizing each pixel in AMC-detect command.
* $prop value in AMC-calepage.pl used for deciding the size of the box used for counting black pixels.

The reasons are:

Students often use pencils which are not dark enough.

My scanners produce very light images even if | set it to the highest darkness.

In my environment, the upper and the left lines of the frame of boxes are often included in the inner box (in
boxes zooms images) maybe because of some distortion.

History

03/14/2012 10:11 pm - Alexis Bienveniie
- Target version set to 1.1.0

- Status changed from New to In Progress

Is gamma value configuration important? It's a little problematic for me, because the convert command is only used by AMC when scans are provided
as a vector graphics file (PDF for example). When scans are TIF, JPG, convert is not used. | can add a configuration option to add parameters to
convert (gamma and/or other ones), but do you think | have to force convert usage (even if not necessary, for TIF or JPG files) when this parameter is
set?

The two other parameters can be configured since revision r910 - if you can compile from SVN, please test.

03/17/2012 04:39 pm - Hiroto Kagotani

Thank you very much for the quick update.

| tested and found both options very useful.

| realized that gamma value is almost equivalent to threshold value.
So | withdraw the feature request for configurable gamma value.

Thank you.

03/17/2012 05:20 pm - Alexis Bienveniie

- Status changed from In Progress to Resolved

Good! Thank you for testing.

03/28/2012 10:19 pm - Alexis Bienveniie
- Status changed from Resolved to Closed
